Package de.willuhn.jameica.hbci.server

# Class SepaSammelLastschriftImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferImpl<SepaSammelLastBuchung>
de.willuhn.jameica.hbci.server.SepaSammelLastschriftImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Duplicatable`, `HibiscusDBObject`, `SepaPayment`, `SepaSammelLastschrift`, `SepaSammelTransfer<SepaSammelLastBuchung>`, `Terminable`, `Serializable`, `Remote`

public class SepaSammelLastschriftImpl extends AbstractSepaSammelTransferImpl<SepaSammelLastBuchung> implements SepaSammelLastschrift
Implementierung des Containers fuer SEPA-Sammellastschrift-Buchungen.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelLastschriftImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`SepaSammelLastBuchung`
`createBuchung()`
Erzeugt eine neue Buchung auf dem Sammeltransfer.
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`List<SepaSammelLastBuchung>`
`getBuchungen()`
Liefert eine Liste der Buchungen fuer diesen Transfer.
`String`
`getOrderId()`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.
`SepaLastSequenceType`
`getSequenceType()`
Liefert den Sequenz-Typ der Lastschrft.
`protected String`
`getTableName()`
`Date`
`getTargetDate()`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.
`SepaLastType`
`getType()`
Liefert den Typ der Lastschrft.
`protected void`
`insertCheck()`
`void`
`setOrderId(String orderId)`
Speichert die von der Bank zurueckgemeldete Order-ID.
`void`
`setSequenceType(SepaLastSequenceType type)`
Speichert den Sequenz-Typ der Lastschrift.
`void`
`setTargetDate(Date date)`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.
`void`
`setType(SepaLastType type)`
Speichert den Typ der Lastschrift.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferImpl

`ausgefuehrt, delete, getAttribute, getAusfuehrungsdatum, getBezeichnung, getKonto, getPmtInfId, getPrimaryAttribute, getSumme, getTermin, insert, markingExecuted, setAusgefuehrt, setBezeichnung, setKonto, setPmtInfId, setTermin, store, ueberfaellig, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransfer

`getBezeichnung, getKonto, getSumme, setBezeichnung, setKonto`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### SepaSammelLastschriftImpl

public SepaSammelLastschriftImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractSepaSammelTransferImpl<SepaSammelLastBuchung>`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### getBuchungen

public List<SepaSammelLastBuchung> getBuchungen() throws RemoteException
Description copied from interface: `SepaSammelTransfer`
Liefert eine Liste der Buchungen fuer diesen Transfer.

Specified by:
  `getBuchungen` in interface `SepaSammelTransfer<SepaSammelLastBuchung>`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransfer.getBuchungen()`

### createBuchung

public SepaSammelLastBuchung createBuchung() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `SepaSammelTransfer`
Erzeugt eine neue Buchung auf dem Sammeltransfer.

Specified by:
  `createBuchung` in interface `SepaSammelTransfer<SepaSammelLastBuchung>`
Returns:
  die neu erzeugte Buchung.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `SepaSammelTransfer.createBuchung()`

### getSequenceType

public SepaLastSequenceType getSequenceType() throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Liefert den Sequenz-Typ der Lastschrft.

Specified by:
  `getSequenceType` in interface `SepaSammelLastschrift`
Returns:
  der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.getSequenceType()`

### setSequenceType

public void setSequenceType(SepaLastSequenceType type) throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Speichert den Sequenz-Typ der Lastschrift.

Specified by:
  `setSequenceType` in interface `SepaSammelLastschrift`
Parameters:
  `type` - der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.setSequenceType(de.willuhn.jameica.hbci.rmi.SepaLastSequenceType)`

### getTargetDate

public Date getTargetDate() throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.

Specified by:
  `getTargetDate` in interface `SepaSammelLastschrift`
Returns:
  das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.getTargetDate()`

### setTargetDate

public void setTargetDate(Date date) throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.

Specified by:
  `setTargetDate` in interface `SepaSammelLastschrift`
Parameters:
  `date` - das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.setTargetDate(java.util.Date)`

### getType

public SepaLastType getType() throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Liefert den Typ der Lastschrft.

Specified by:
  `getType` in interface `SepaSammelLastschrift`
Returns:
  der Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.getType()`

### setType

public void setType(SepaLastType type) throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Speichert den Typ der Lastschrift.

Specified by:
  `setType` in interface `SepaSammelLastschrift`
Parameters:
  `type` - der Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.setType(de.willuhn.jameica.hbci.rmi.SepaLastType)`

### getOrderId

public String getOrderId() throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.

Specified by:
  `getOrderId` in interface `SepaSammelLastschrift`
Returns:
  die Order-ID. NULL, wenn der Auftrag noch nicht an die Bank gesendet wurde.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.getOrderId()`

### setOrderId

public void setOrderId(String orderId) throws RemoteException
Description copied from interface: `SepaSammelLastschrift`
Speichert die von der Bank zurueckgemeldete Order-ID.

Specified by:
  `setOrderId` in interface `SepaSammelLastschrift`
Parameters:
  `orderId` - die von der Bank zurueckgemeldete Order-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastschrift.setOrderId(java.lang.String)`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`